import { BatchRequestOperation } from "./structuredTypes";
/**
 * The BATCH API allows a user to execute multiple OneNoteApi actions in a single HTTP request.
 * For example, sending two PATCHES in the same HTTP request
 * To use, construct a new BatchRequest and then pass in an object that adheres to the BatchRequestOperation interface into
 * 	BatchRequest::addOperation(...). Once the request is built, send it using OneNoteApi::sendBatchRequest(...)
 */
export declare class BatchRequest {
    private operations;
    private boundaryName;
    private requestBody;
    constructor();
    addOperation(op: BatchRequestOperation): void;
    getOperation(index: number): BatchRequestOperation;
    getNumOperations(): number;
    getRequestBody(): string;
    getContentType(): string;
}
